Bug 60644 - up2date crash on upgrade to kernel-2.4.9-31
up2date crash on upgrade to kernel-2.4.9-31
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: up2date (Show other bugs)
7.2
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Adrian Likins
Jay Turner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-03-03 21:34 EST by Andrew Pam
Modified: 2015-01-07 18:55 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-04-05 16:37:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andrew Pam 2002-03-03 21:34:54 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.0.3 (X11; Linux i586; U;) Gecko/20020205

Description of problem:
"up2date -uf" downloaded and installed the kernel-2.4.9-31 and
kernel-smp-2.4.9-31 packages, then crashed with a traceback while trying to
update lilo.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Install kernel-2.4.9-21 and kernel-smp.2.4.9-21
2. Run "up2date -uf"

	

Actual Results:  Retrieving selected packages...
kernel-2.4.9-31.i686.rpm:   ########################## Done.                   
kernel-smp-2.4.9-31.i686.rp ########################## Done.                   
Preparing...                ########################################### [100%]
   1:kernel                 ########################################### [ 50%]
   2:kernel-smp             ########################################### [100%]
Traceback (innermost last):
  File "/usr/sbin/up2date", line 1014, in ?
    main()
  File "/usr/sbin/up2date", line 341, in main
    sys.exit(batchRun(argObj.getLong("list"), pkgNames, fullUpdate))
  File "/usr/sbin/up2date", line 993, in batchRun
    up2date.installBootLoader(kernelsToInstall)
  File "/usr/share/rhn/up2date_client/up2date.py", line 2148, in installBootLoader
    bootloader = checkbootloader.whichBootLoader()
  File "/usr/share/rhn/up2date_client/checkbootloader.py", line 45, in
whichBootLoader
    fd = os.open(bootDev, os.O_RDONLY)
TypeError: argument 1: expected string, None found


Expected Results:  lilo updated.

Additional info:

/etc/lilo.conf contains:

boot=/dev/hda
compact
map=/boot/map
install=/boot/boot.b
prompt
read-only
root=/dev/hda1
timeout=50
vga=ext
default=linux

image=/boot/vmlinuz
        label=linux

image=/boot/vmlinuz-2.4.17
        label=linux-new

image=/boot/vmlinuz-2.4.16
        label=linux-prev

image=/boot/vmlinuz-2.4.9-21
        label=linux-up
#       initrd=/boot/initrd-2.4.9-21.img

image=/boot/vmlinuz-2.4.9-21smp
        label=linux-orig
#       initrd=/boot/initrd-2.4.9-21smp.img
Comment 1 Jeremy Katz 2002-03-04 16:39:06 EST
Can you attach your /boot/grub/grub.conf so I can verify that my fix is actually
doing the right thing?
Comment 2 Adrian Likins 2004-04-05 16:37:14 EDT
No response, so closing out.

Havent seen any errors like this on current support
releases, so closing "currentrelease"

Note You need to log in before you can comment on or make changes to this bug.